tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: perl package build failing - running config for

On Mon, 25 May 2009, Jens Rehsack wrote:

David Brownlee wrote:
On Sat, 23 May 2009, Jens Rehsack wrote:

David Brownlee wrote:
    www/p5-Catalyst-Action-RenderView and several other
    perl packages now seem to fail to build with the
    error below - has anyone else seen this?

seb@ had fixed sth. similar (I don't remember where), but it seems some
newer CPAN modules comes with such an AutoInstall routine in their

I do not recognize them all (sometimes I see and that I patch them out
before committing the update), because I have a configured
If you see it again, either you ask pkgsrc-p5-people@ if you don't
have time
to add a similar patch (I just fix www/p5-Catalyst-Action-RenderView) or
apply a similar patch.

    Thanks. This is going to be mildly annoying to find and patch
    in each case. Would it be possible for pkgsrc to
    a) Provide fake cpan config
    a) Add a subst rule to handle this automatically for perl

It seems to happen with Module::Install only. I try to talk to Adam Kennedy
if there are reasonable solutions.
In this case, we can handle a third module install type in addition to
MakeMaker and Module::Build - Module::Install.

        That sounds ideal. www/p5-Catalyst-Devel may be a good test case
        for this as it doesn't have the explicit autoinstall line in
        Makefile.PL but still calls in CPAN configuration
                David/absolute       -- No hype required --

Home | Main Index | Thread Index | Old Index